# m3e/elevation

Elevation is visually depicts elevation using a shadow.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        disabled: Disabled,
        for: option.Option(String),
        level: option.Option(elevation_level.ElevationLevel),
      )
    }

### Constructors

-     Config(
        disabled: Disabled,
        for: option.Option(String),
        level: option.Option(elevation_level.ElevationLevel),
      )

## Disabled

</>

Disabled is whether hover and press events will not trigger changes in elevation, when attached to an interactive element.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## Elevation

opaque </>

Elevation is a View Model for this component

## Fields:

- disabled: Whether hover and press events will not trigger changes in elevation, when attached to an interactive element.
- for: The identifier of the interactive control to which this element is attached.
- level: The level at which to visually depict elevation.

    pub opaque type Elevation

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_for

</>

    pub const default_for: option.Option(String)

## default_level

</>

    pub const default_level: option.Option(
      elevation_level.ElevationLevel,
    )

## disabled

</>

    pub fn disabled(
      record: Elevation,
      disabled: Disabled,
    ) -> Elevation

disabled sets the value of disabled for this Elevation.

## for

</>

    pub fn for(
      record: Elevation,
      for: option.Option(String),
    ) -> Elevation

for sets the value of for for this Elevation.

## from_config

</>

    pub fn from_config(config: Config) -> Elevation

from_config creates a new Elevation from the given configuration.

## level

</>

    pub fn level(
      record: Elevation,
      level: option.Option(elevation_level.ElevationLevel),
    ) -> Elevation

level sets the value of level for this Elevation.

## new

</>

    pub fn new() -> Elevation

new creates a new Elevation with the default configuration.

## render

</>

    pub fn render(
      model: Elevation,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a Elevation

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a Elevation Config

✨